<template>
    <div class="column is-3">
        <div class="block">
          <b-radio v-model="freteValor"
              name="freteValorChecked"
              :native-value="frete.service.Valor"
              @change.native="changed(frete.service.Valor)"
              type="is-link"
              style="pointer-events: inherit;"
              >
              <span v-if="frete.service.Codigo === '04510'">
                  PAC
              </span>
              <span v-else>
              SEDEX
              </span>
              - seu produto será entregue em até {{ frete.service.PrazoEntrega }} dias por
                  R$ {{ frete.service.Valor }}
          </b-radio>
        </div>
    </div>
</template>

<script>
export default {
    data(){
        return {
            // freteValor: ''
        }
    },

    props: {
        frete: {
            required: true,
            type: Object
        }
    },

    methods: {
        changed(value){
            localStorage.frete = value
            this.$emit('changed', value)
        }
    },

    computed: {
        freteValor: {
            get() {
                return localStorage.frete ? localStorage.frete : ''
            },
            set(newValue) {
              console.log(newValue)
                return newValue
            }
        }
    }

}
</script>

<style scoped>
    .column {
        margin-top: 10px
    }

    .block {
        border: 1.5px solid #CCC;
        padding: 10px;
        font-size: .8em;
        background-color: #FFF;
    }

    .block:hover {
        border: 2px solid #8c67ef;
        /* background-image: linear-gradient(180deg, rgb(240, 240, 240), rgb(255, 255, 255)); */
    }
</style>
